"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const LootTable_1 = __importDefault(require("../src/structures/LootTable"));
(0, vitest_1.test)('LootTable', () => __awaiter(void 0, void 0, void 0, function* () {
    const table1 = new LootTable_1.default().every('Coal').tertiary(1, 'Coal').add('Coal');
    const table2 = table1.clone();
    table1.add('Coal').add('Coal').tertiary(1, 'Coal').every('Bones');
    (0, vitest_1.expect)(table2.length).toEqual(1);
    (0, vitest_1.expect)(table2.tertiaryItems.length).toEqual(1);
}));
//# sourceMappingURL=LootTable.test.js.map